POST
/global-networks/{globalNetworkId}/link-associations
http://networkmanager.{region}.amazonaws.com/global-networks/{globalNetworkId}/link-associationsAssociates a link to a device. A device can be associated to multiple links and a link can be associated to multiple devices. The device and link must be in the same global network and the same site.
Access Token Required: API Key
Path Parameters
globalNetworkIdstringrequired
The ID of the global network.
Body Params
LinkIdstringrequired
The ID of the link.
DeviceIdstringrequired
The ID of the device.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request POST \2 --url 'http://networkmanager.{region}.amazonaws.com/global-networks/{globalNetworkId}/link-associations' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}